import MyCommon from '../../lib/utils/index'
import MyRouter from './router/index'
import MyPrompt from './prompt/index'
import MyError from './error/index'
import MyVerification from './verification/index'

export class MyHelp {
  constructor() {
    this.$common = MyCommon
    this.$router = MyRouter
    this.$prompt = MyPrompt
    this.$error = MyError
    this.$verification = MyVerification

    this.instance = null
  }

  static getInstance() {
    if (!this.instance) {
      this.instance = new MyHelp()
    }
    return this.instance
  }
}

let _myHelp = MyHelp.getInstance()
export default _myHelp
